/*	Author:		Magdin Stoica
	Supervisor: Dr. Ryan Leduc
	
	Project created in conformity with the requirements for the Degree of Master of Engineering in Software Engineering, 
	Computing and Software Department, 
	McMaster University
	2003 - 2007
*/

#pragma once

#include <QTextEdit>
#include "CtrlStdAlgo.h"

namespace DESpot
{
	class OutputWidget : public QTextEdit
	{
		public:
			OutputWidget(QWidget* parent);
			virtual ~OutputWidget(void);

		public:
			void write(const QString& text);
			void writeLine(const QString& text);
	};

} //end of namespace DESpot
